Bug 170233 - ICE rebuilding libdv-0.103.4 w/ -ftree-loop-linear
ICE rebuilding libdv-0.103.4 w/ -ftree-loop-linear
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-09 15:20 EDT by sean
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-17 07:30:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed source (109.44 KB, text/plain)
2005-10-09 15:20 EDT, sean
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 23625 None None None Never

  None (edit)
Description sean 2005-10-09 15:20:07 EDT
Description of problem:

rpmbuild --rebuild libdv-0.103-4.src.rpm
.....................
if /bin/sh ../libtool --silent --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I.. 
   -O2 -fPIC -funswitch-loops -ftree-loop-linear  -march=k8 -ftree-vectorize 
-pipe -mfpmath=sse -Wall -g -MT quant.lo -MD -MP -MF ".deps/quant.Tpo" -c -o
quant.lo quant.c; \
then mv -f ".deps/quant.Tpo" ".deps/quant.Plo"; else rm -f ".deps/quant.Tpo";
exit 1; fi
quant.c:243: warning: 'quant_248_inverse_mmx' defined but not used
quant.c: In function 'dv_quant_init':
quant.c:155: internal compiler error: in bsi_after_labels, at tree-flow-inline.h:520
Please submit a full bug report,
..............

Version-Release number of selected component (if applicable):

gcc-4.0.2-3
How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

It builds if I *don't* use -ftree-loop-linear.
Comment 1 sean 2005-10-09 15:20:07 EDT
Created attachment 119749 [details]
Preprocessed source
Comment 2 Jakub Jelinek 2005-10-10 03:48:24 EDT
I guess this is the same problem as fixed on HEAD in PR23625.
Comment 3 sean 2005-12-17 07:30:24 EST
WFM with gcc-4.1.0-0.7

sean

Note You need to log in before you can comment on or make changes to this bug.